Wersja PC SketchUp Pro wymaga Microsoft .NET Framework 4.0 (2.0 dla SketchUp 8 lub 1,1 dla SketchUp 6). Podczas instalacji programu SketchUp wykryje czy brakuje prawidłowej wersji Framework poprosi, aby pobrać i zainstalować pakiet. Kliknij przycisk "Tak", aby zainstalować pakiet. Ze względu na rozmiar pliku, zalecamy pobranie .NET Framework używając połączenia szerokopasmowego lub szybszego. Jeśli korzystasz z połączenia modemowego, należy pamiętać, że pobieranie zajmie trochę czasu.

Aktualnie SketchUp Pro jest kompatybilny tylko z wersją 4.0 Framework. Jeśli twój komputer ma zainstalowaną inną wersję, cały czas będziesz poproszony o pobranie wersji 4.0. Wiele wersji .NET Framework może współistnieć na komputerze bez zakłócania pracy SketchUp Pro.